#include <MiniLab.h>
String title="Check_and_See";

TextPanel textPanel(1);
Check check(2);

void setup () {

   Serial.begin(9600);
   pinMode(13, OUTPUT);
}

void loop () {

   delay(100);

   if(Serial.available()==0) return;
   int id=MiniLab.readInt();
   if(id==MiniLab.id_start) {
      if(!MiniLab.checkTitle(title)) return;

      check.set(false);
      panel(false);
      digitalWrite(13, LOW);
      return;
   }
   if(id==check.id) {
      
      int i=MiniLab.readInt();
      panel(i);
      digitalWrite(13, i);
   }      
}

void panel (bool danger) {

   if(danger) { 
    
      textPanel.set(magenta);
      textPanel.print("Danger");    
   }
   else {
    
      textPanel.set(cyan);
      textPanel.print("Normal");
   }   
}
